THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-39249

Assignermitre
Reserved2024-06-21
Published2024-07-01
Updated2024-07-09

Description

Async <= 2.6.4 and <= 3.2.5 are vulnerable to ReDoS (Regular Expression Denial of Service) while parsing function in autoinject function. NOTE: this is disputed by the supplier because there is no realistic threat model: regular expressions are not used with untrusted input.

References

https://github.com/caolan/async/blob/v3.2.5/lib/autoInject.js#L6

https://github.com/caolan/async/blob/v3.2.5/lib/autoInject.js#L41

https://github.com/zunak/CVE-2024-39249

https://github.com/zunak/CVE-2024-39249/issues/1

https://github.com/caolan/async/issues/1975#issuecomment-2204528153

cve.org CVE-2024-39249

nvd.nist.gov CVE-2024-39249

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-39249
© Copyright 2024 THREATINT. Made in Cyprus with +